
From: Christophe Lucas <clucas@rotomalug.org>

printk() calls should include appropriate KERN_* constant.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/mm/ioremap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/mm/ioremap.c~printk-arch-i386-mm-ioremapc arch/i386/mm/ioremap.c
--- 25/arch/i386/mm/ioremap.c~printk-arch-i386-mm-ioremapc	2005-05-31 00:49:58.000000000 -0700
+++ 25-akpm/arch/i386/mm/ioremap.c	2005-05-31 00:49:58.000000000 -0700
@@ -243,7 +243,7 @@ void iounmap(volatile void __iomem *addr
 	write_lock(&vmlist_lock);
 	p = __remove_vm_area((void *) (PAGE_MASK & (unsigned long __force) addr));
 	if (!p) { 
-		printk("iounmap: bad address %p\n", addr);
+		printk(KERN_WARNING "iounmap: bad address %p\n", addr);
 		goto out_unlock;
 	}
 
_
